import { z } from 'zod';

export const PaymentSettingsSchema = z.object({
  allow: z.string().describe('Allow').optional(),
  channel: z.string().describe('Communication channel').optional(),
  denaiedReason: z.string().describe('Denaied reason').optional(),
  deny: z.string().describe('Deny').optional(),
  paymentType: z.number().int().positive().describe('Payment type').optional(),
});
